import Taro, { Component } from '@tarojs/taro'
import { View } from '@tarojs/components'

import { AtTabBar } from 'taro-ui'
import './clientTabBarComponent.scss'



class ClientTabBarComponent extends Component {
    config = {
        navigationBarTitleText: '业主底栏导航'
    }

    //http://ihome6.com/Shop-supplyShops
    componentDidMount() {

    }
    componentWillReceiveProps(nextProps) {
    }

    componentWillUnmount() { }

    componentDidShow() { }

    componentDidHide() { }

    render() {
        return (
            <View className='clientTabBarComponent'>
                <AtTabBar
                    fixed
                    tabList={[
                        { title: '首页', iconType: 'bullet-list', text: 'new' },
                        { title: '需求发布', iconType: 'camera' },
                        { title: '我的需求', iconType: 'folder', text: '100', max: '99' },
                        { title: '个人中心', iconType: 'folder', text: '100', max: '99' },
                    ]}
                    onClick={this.handleClick.bind(this)}
                    current={this.state.current}
                />

            </View>
        )
    }
}

export default ClientTabBarComponent
