import { getGlobalStorage } from "./getSetStoage";
import Taro from '@tarojs/taro'
// check if user login 

const isUserLogin = () => {
    return new Promise((resolve,reject)=>{
        let isLogin = getGlobalStorage('userInfo') ? true : false
        if (!isLogin) {
            Taro.switchTab({
                url: '/pages/home/home'
            })
            Taro.navigateTo({
                url: '/pages/login/login'
            })
        
        }else{
            resolve('继续')
        }
    })
   
}
const isUserShopOwner = () => {
    let isShopOwner = getGlobalStorage('shopInfo') ? true : false
    if (!isShopOwner) {
        Taro.showToast({
            title: '您还没有店铺，不能使用该功能，快去申请吧',
            icon: 'none'
        })
    }
}
export { isUserLogin, isUserShopOwner }