import Taro from '@tarojs/taro'


const showLoading = ({ title='加载中'}) => {
    if (process.env.TARO_ENV === 'weapp') {
        Taro.showLoading({
            title: title
        })

    } else if (process.env.TARO_ENV === 'alipay') {
        my.showLoading({
            content: title
        })
    }
}
const hideLoading = () => {
    if (process.env.TARO_ENV === 'weapp') {
        Taro.hideLoading()

    } else if (process.env.TARO_ENV === 'alipay') {
        my.hideLoading()
    }
}
export { showLoading, hideLoading }