import Taro from '@tarojs/taro'
import standardLogin from '../util/standardLogin'
import weChatLogin from '../util/weChatLogin'
import { getGlobalStorage } from './getSetStoage';




const tabbarURL = [
    "pages/home/home",
    "pages/myNeedsPublish/myNeedsPublish",
    "pages/myNeeds/myNeeds",
    "pages/individualCenter/individualCenter"
]
 function reloadPage(){
    let length = Taro.getCurrentPages().length - 1
    let currentURL = Taro.getCurrentPages()[length].route

    tabbarURL.includes(currentURL) ?
    Taro.reLaunch({
        url: '/' + currentURL
    }) : Taro.navigateBack({
        delta:-1
    })
 }

export default function loginExpired(res) {
    // Taro.clearStorageSync()
   Taro.showToast({
       title:'登录过期，重新登录中...',
       icon:'none',
       duration:2000
   })

    setTimeout(() => {
        const hasAccount = getGlobalStorage('accountInfo')

    if (hasAccount) {
        standardLogin(hasAccount.username, hasAccount.password).then(res => {
            reloadPage()
        })
    } else {
        weChatLogin().then(res=>{
            reloadPage()
        })
    }
    }, 2000);
}